# XQilla Simple API Documentation

# AutoReset< T > Class Template Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoReset (T &orig)
| ~AutoReset ()
void | reset ()

## Protected Attributes

T & | orig_
T | old_

### template<typename T>
class AutoReset< T >

## Constructor & Destructor Documentation

template<typename T >

AutoReset< T >::AutoReset | ( | T & | orig | ) | `[inline]`

template<typename T >

AutoReset< T >::~AutoReset | ( |  | ) | `[inline]`

## Member Function Documentation

template<typename T >

void AutoReset< T >::reset | ( |  | ) | `[inline]`

## Member Data Documentation

template<typename T >

T AutoReset< T >::old_ `[protected]`

template<typename T >

T& AutoReset< T >::orig_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp